
/**
 * parse Options and set the defaults options
 * @method
 * @param  {Object} options options values
 * @return {Object}         options values
 */
module.exports = function (options) {
	const defaults = {
		//是否自动重连
		isAutoReconnection: true,
		connectionTime: 3000,
		// 尝试次数
		reTryNum: 3
	};
	for (const key of Object.keys(options)) {
		if (options[key] != null) {
			defaults[key] = options[key];
		}
	}
	return defaults;
};
